dlargv.f(3)

NAME
dlargv.f -

SYNOPSIS

  Functions/Subroutines
subroutine dlargv (N, X, INCX, Y, INCY, C, INCC)
DLARGV generates a vector of plane rotations with real cosines and real sines.

Function/Subroutine Documentation

  subroutine dlargv (integerN, double precision, dimension( * )X, integerINCX, double precision, dimension( * )Y, integerINCY, double precision, dimension( * )C, integerINCC)

DLARGV generates a vector of plane rotations with real cosines and real sines.

Purpose:

     DLARGV generates a vector of real plane rotations, determined by
     elements of the real vectors x and y. For i = 1,2,...,n
        (  c(i)  s(i) ) ( x(i) ) = ( a(i) )
        ( -s(i)  c(i) ) ( y(i) ) = (   0  )

Parameters:
    N

              N is INTEGER
              The number of plane rotations to be generated.

    X

              X is DOUBLE PRECISION array,
                             dimension (1+(N-1)*INCX)
              On entry, the vector x.
              On exit, x(i) is overwritten by a(i), for i = 1,...,n.

    INCX

              INCX is INTEGER
              The increment between elements of X. INCX > 0.

    Y

              Y is DOUBLE PRECISION array,
                             dimension (1+(N-1)*INCY)
              On entry, the vector y.
              On exit, the sines of the plane rotations.

    INCY

              INCY is INTEGER
              The increment between elements of Y. INCY > 0.

    C

              C is DOUBLE PRECISION array, dimension (1+(N-1)*INCC)
              The cosines of the plane rotations.

    INCC

              INCC is INTEGER
              The increment between elements of C. INCC > 0.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Definition at line 105 of file dlargv.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.